## libhinoko 1.0.1

=== meson_options.txt ===
option('doc',
  type: 'boolean',
  value: false,
  description: 'generate API reference',
)

=== debian/changelog ===
libhinoko (1.0.1-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:02:21 +1100

libhinoko (1.0.1-2ubuntu2) noble; urgency=medium

  * Drop hard-coded dependency on shared libglib library.
  * Don't hard-code depedency on shared libhinawa library.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 11:03:44 +0100

libhinoko (1.0.1-2) unstable; urgency=medium

  * Change Vcs-Browser/Vcs-Git fields since the repository is transferred.

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Thu, 01 Feb 2024 22:25:26 +0900

libhinoko (1.0.1-1) unstable; urgency=medium

  * Use LGPL-2.1+
  * Annotate multiarch same for gir package
  * fix 'Failed to analyze the VCS repository' issue
  * New upstream version 1.0.1
  * Fix FTBFS (Closes: #1058521)

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Fri, 15 Dec 2023 00:12:27 +0900

libhinoko (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1055162).

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Wed, 08 Nov 2023 23:08:59 +0900

=== debian/control ===
Source: libhinoko
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Build-Depends: debhelper-compat (= 13),
    meson (>= 0.56.0),
    libglib2.0-dev (>= 2.44.0),
    gobject-introspection (>= 1.32.1),
    libgirepository1.0-dev (>= 1.32.1),
    python3-gi,
    gi-docgen (>= 2023.1),
    libhinawa-dev (>= 4.0.0)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://git.kernel.org/pub/scm/libs/ieee1394/libhinoko.git/
Vcs-Browser: https://salsa.debian.org/debian/libhinoko/
Vcs-Git: https://salsa.debian.org/debian/libhinoko.git

Package: libhinoko1
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
Multi-Arch: same
Description: I/O library for IEEE 1394 isochronous communication
 Libhinoko is an I/O library to operate 1394 OHCI hardware for transmission of
 isochronous packets in IEEE 1394 bus.

Package: gir1.2-hinoko-1.0
Section: introspection
Architecture: linux-any
Depends: ${misc:Depends}, ${gir:Depends},
    libhinoko1 (= ${binary:Version}),
    gir1.2-hinawa-4.0 (>= 4.0.0)
Multi-Arch: same
Description: GObject introspection data for libhinoko1
 This package contains introspection data for libhinoko1. It can be
 used by packages using the GIRepository format to generate dynamic
 bindings, or it can be used by interpreters understanding the
 GIReporsitory format to libhinoko1.

Package: libhinoko-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
    libhinoko1 (= ${binary:Version}),
    libglib2.0-dev (>= 2.44.0),
    libgirepository1.0-dev (>= 1.32.1),
    gir1.2-hinoko-1.0 (= ${binary:Version})
Description: I/O library for IEEE 1394 isochronous communication (development files)
 Libhinoko is an I/O library to operate 1394 OHCI hardware for transmission of
 isochronous packets in IEEE 1394 bus.
 This package contains development files including C headers and
 XML data for GIRepository.

## libhinoko 1.0.3

=== debian/changelog ===
libhinoko (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Update Standards-Version to 4.7.0
  * Solve stray-devhelp-documentation issue
  * Solve symbols-file-missing-build-depends-package-field issue
  * Solve gir-package-name-does-not-match issue
  * add gbp.conf for maintainer's convenience

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Sun, 15 Sep 2024 12:06:04 +0900

libhinoko (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Sat, 06 Apr 2024 11:40:23 +0900

libhinoko (1.0.1-3) unstable; urgency=medium

  * Optimize to gobject-introspection 1.78.1-7 or later.
  * Apply changes for auto-glib2.0 and auto-libhinawa transitions, provided by
    Ubuntu distribution.

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Mon, 01 Apr 2024 09:04:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: libhinoko
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Takashi Sakamoto <o-takashi@sakamocchi.jp>
+Maintainer: Takashi Sakamoto <o-takashi@sakamocchi.jp>
 Build-Depends: debhelper-compat (= 13),
+    dh-sequence-gir,
     meson (>= 0.56.0),
     libglib2.0-dev (>= 2.44.0),
-    gobject-introspection (>= 1.32.1),
+    gir1.2-gobject-2.0-dev,
+    gobject-introspection-bin,
     libgirepository1.0-dev (>= 1.32.1),
     python3-gi,
     gi-docgen (>= 2023.1),
     libhinawa-dev (>= 4.0.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://git.kernel.org/pub/scm/libs/ieee1394/libhinoko.git/
 Vcs-Browser: https://salsa.debian.org/debian/libhinoko/
 Vcs-Git: https://salsa.debian.org/debian/libhinoko.git
@@ -43,10 +44,12 @@
 Section: libdevel
 Architecture: linux-any
 Depends: ${misc:Depends},
+    ${gir:Depends},
     libhinoko1 (= ${binary:Version}),
     libglib2.0-dev (>= 2.44.0),
     libgirepository1.0-dev (>= 1.32.1),
     gir1.2-hinoko-1.0 (= ${binary:Version})
+Provides: ${gir:Provides}
 Description: I/O library for IEEE 1394 isochronous communication (development files)
  Libhinoko is an I/O library to operate 1394 OHCI hardware for transmission of
  isochronous packets in IEEE 1394 bus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Ddoc=true

override_dh_gencontrol:
	dh_gencontrol -- \
	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libhinawa-dev \
			| sed -E 's/.*(libhinawa[[:alnum:].-]+).*/\1/')

=== debian/watch ===
version=4

opts="mode=git, pgpmode=gittag" \
  https://git.kernel.org/pub/scm/libs/ieee1394/libhinoko.git refs/tags/v([\d\.]+)
